> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ccommitment details



## OpenAPI

````yaml get /admin/commitment/{commitment_id}/donation
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/commitment/{commitment_id}/donation:
    get:
      tags:
        - Donations
      summary: Ccommitment details
      operationId: e4a1d3744268cda45f3498bbf9b499a5
      parameters:
        - name: commitment_id
          in: path
          description: ID of the commitment
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  commitment:
                    type: object
                  details:
                    properties:
                      designation_name:
                        type: string
                      amount:
                        type: number
                      method:
                        type: string
                      frequency:
                        type: string
                      currency_symbol:
                        type: string
                      frequency_total:
                        type: number
                    type: object
                  dntns:
                    type: object
                  useCC:
                    type: boolean
                  donorCardActive:
                    type: boolean
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Bad request.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````